/*global dotclear */
'use strict';

dotclear.ready(() => {
  // DOM ready and content loaded

  const move = (selection) => {
    window.location = selection;
    document
      .getElementById(selection.substring(1))
      .caption?.scrollIntoView({ behavior: 'smooth', block: 'start', inline: 'nearest' });
  };

  // Hide submit buttons
  document.getElementById('gs_submit').style.display = 'none';
  document.getElementById('ls_submit').style.display = 'none';

  // Listen for selection change
  document.getElementById('gs_nav')?.addEventListener('change', (event) => move(event.target.value));
  document.getElementById('ls_nav')?.addEventListener('change', (event) => move(event.target.value));

  // Prepare mobile display for tables
  dotclear.responsiveCellHeaders(document.querySelector('table.settings'), 'table.settings', 0, true);
  document.querySelectorAll('table.settings').forEach((element) => {
    element.classList.add('rch', 'rch-thead');
  });
});
